Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.measurement
Class GenericObject

    java.lang.Object
      com.sun.management.oss.impl.job.measurement.GenericObject

public class GenericObject
extends java.lang.Object

`GenericObject` class.

This class represents an object whose attributes' values have been collected by a job. Jobs collect data into GenericObject objects (using the data model specific object) and then call the method for generating the report. This method has to read info stored in GenericModel objects for computing the report

Version:
  1.0

Constructor Summary
`GenericObject(java.lang.String dn)`
`GenericObject(java.lang.String dn, java.lang.String exceptionMsg)`

Method Summary
`void` | `addAttribute(GenericAttribute attr)`
`GenericAttribute[]` | `getAttributes()`
`java.lang.String` | `getDinstinguishedName()`
`java.lang.String` | `getExceptionMessage()`
`boolean` | `hasException()`
`void` | `setDinstinguishedName(java.lang.String dn)`
`void` | `setExceptionMessage(java.lang.String msg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericObject

    public GenericObject(java.lang.String dn)

### GenericObject

    public GenericObject(java.lang.String dn,
                         java.lang.String exceptionMsg)

Method Detail

### addAttribute

    public void addAttribute(GenericAttribute attr)

### setDinstinguishedName

    public void setDinstinguishedName(java.lang.String dn)

### setExceptionMessage

    public void setExceptionMessage(java.lang.String msg)

### getDinstinguishedName

    public java.lang.String getDinstinguishedName()

### hasException

    public boolean hasException()

### getExceptionMessage

    public java.lang.String getExceptionMessage()

### getAttributes

    public GenericAttribute[] getAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD